.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_Performance:

Performance
===========

**Inherits:** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+----------------------------+-----------------------------------------------------------------------------------------------------+
| :ref:`float<class_float>`  | :ref:`get_monitor<class_Performance_get_monitor>`  **(** :ref:`int<class_int>` monitor  **)** const |
+----------------------------+-----------------------------------------------------------------------------------------------------+

Numeric Constants
-----------------

- **TIME_FPS** = **0**
- **TIME_PROCESS** = **1**
- **TIME_FIXED_PROCESS** = **2**
- **MEMORY_STATIC** = **3**
- **MEMORY_DYNAMIC** = **4**
- **MEMORY_STATIC_MAX** = **5**
- **MEMORY_DYNAMIC_MAX** = **6**
- **MEMORY_MESSAGE_BUFFER_MAX** = **7**
- **OBJECT_COUNT** = **8**
- **OBJECT_RESOURCE_COUNT** = **9**
- **OBJECT_NODE_COUNT** = **10**
- **RENDER_OBJECTS_IN_FRAME** = **11**
- **RENDER_VERTICES_IN_FRAME** = **12**
- **RENDER_MATERIAL_CHANGES_IN_FRAME** = **13**
- **RENDER_SHADER_CHANGES_IN_FRAME** = **14**
- **RENDER_SURFACE_CHANGES_IN_FRAME** = **15**
- **RENDER_DRAW_CALLS_IN_FRAME** = **16**
- **RENDER_USAGE_VIDEO_MEM_TOTAL** = **20**
- **RENDER_VIDEO_MEM_USED** = **17**
- **RENDER_TEXTURE_MEM_USED** = **18**
- **RENDER_VERTEX_MEM_USED** = **19**
- **PHYSICS_2D_ACTIVE_OBJECTS** = **21**
- **PHYSICS_2D_COLLISION_PAIRS** = **22**
- **PHYSICS_2D_ISLAND_COUNT** = **23**
- **PHYSICS_3D_ACTIVE_OBJECTS** = **24**
- **PHYSICS_3D_COLLISION_PAIRS** = **25**
- **PHYSICS_3D_ISLAND_COUNT** = **26**
- **MONITOR_MAX** = **27**

Member Function Description
---------------------------

.. _class_Performance_get_monitor:

- :ref:`float<class_float>`  **get_monitor**  **(** :ref:`int<class_int>` monitor  **)** const


